EZ_WidgetMarkRuler(3)

NAME
EZ_WidgetMarkRuler- set mark on a ruler

SYNOPSIS
#include <EZ.h>

void EZ_WidgetMarkRuler( EZ_Widget *ruler, int x, int y, EZ_Widget *srcWidget)
void EZ_XWindowMarkRuler( EZ_Widget *ruler, int x, int y, EZ_Widget *srcWindow)
int  *EZ_GetRulerMarks( EZ_Widget *ruler)

ARGUMENTS
ruler Specifies a ruler widget.

srcWidget specifies a widget.

srcWindow specifies an X window ID.

x,y specifies the pointer coordinates relative to the source window.

DESCRIPTION

The first two functions set one fo the two static marks on a ruler widget. A ruler widget has a dynamic mark and two static marks.

EZ_GetRulerMarks returns the array of three marks on a ruler widget. The first entry is the dynamic mark, the rest are the two static marks.

SEE ALSO
EZ_WidgetNotifyRuler(3), EZ_GetRulerMarks(3)